> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blobhub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Revision

Create a new draft revision for a blob. The latest revision must be in `commit` phase.

## **POST** `/blobs/:org_id/:blob_id/revisions`

### Path Parameters

| Parameter | Type   | Required | Description                        |
| :-------- | :----- | :------- | :--------------------------------- |
| `org_id`  | string | Yes      | The unique ID of the organization. |
| `blob_id` | string | Yes      | The unique ID of the blob.         |

### Response

| Parameter     | Type   | Description                        |
| :------------ | :----- | :--------------------------------- |
| `revision_id` | string | The unique ID of the new revision. |

### Example

<CodeGroup>
  ```bash Request theme={null}
  curl -X POST https://api.blobhub.io/v1/blobs/org_123/blob_789/revisions
  ```

  ```json Response theme={null}
  {
    "revision_id": "rev_002"
  }
  ```
</CodeGroup>
